Package org.eclipse.net4j.util

# Class ImplementationError

java.lang.Object
java.lang.Throwable
java.lang.Error
org.eclipse.net4j.util.ImplementationError

All Implemented Interfaces:
  `Serializable`

public class ImplementationError extends Error
Should not be used anymore in favor of `AssertionError`. Likely to be deprecated soon.

Author:
  Eike Stepper
See Also:
  - Serialized Form
No Extend
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`ImplementationError()`
`ImplementationError(String message)`
`ImplementationError(String message, Throwable cause)`
`ImplementationError(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImplementationError

public ImplementationError()

### ImplementationError

public ImplementationError(String message)

### ImplementationError

public ImplementationError(String message, Throwable cause)

### ImplementationError

public ImplementationError(Throwable cause)